Last Comment Bug 787272 - disable recommend button on logout
: disable recommend button on logout
Status: RESOLVED FIXED
[Fx17]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 18
Assigned To: Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
:
Mentors:
Depends on: 789248
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 17:08 PDT by Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
Modified: 2012-09-25 11:39 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
hide share when logged out (2.45 KB, patch)
2012-08-31 11:12 PDT, Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
jaws: review+
Details | Diff | Review
minor fix (2.48 KB, patch)
2012-09-06 13:48 PDT, Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16]
mixedpuppy: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Review

Description Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-08-30 17:08:51 PDT
providers can specify logged in/out state through the social.user-profile message.  We should only enable the recommend button when we have a logged in state.  Currently, if you "logout" the recommend button is still available.
Comment 1 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-08-31 11:12:59 PDT
Created attachment 657368 [details] [diff] [review]
hide share when logged out

[Approval Request Comment]
social share button should not be displayed if the user is not logged in
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-31 11:26:32 PDT
Comment on attachment 657368 [details] [diff] [review]
hide share when logged out

Best to avoid asking for aurora approval until you have r+
Comment 3 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-09-04 12:45:15 PDT
https://tbpl.mozilla.org/?tree=Try&rev=1b8647eb9f36
Comment 4 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-09-04 12:45:48 PDT
Comment on attachment 657368 [details] [diff] [review]
hide share when logged out

[Approval Request Comment]
need to remove share button when user is not logged in
Comment 5 Lukas Blakk [:lsblakk] use ?needinfo 2012-09-05 15:53:44 PDT
We don't approve for aurora until patches have baked on central for a bit, set 'checkin-needed' in the keywords if you need someone to land this to trunk.
Comment 6 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-09-06 13:42:02 PDT
a new try to verify that tests are fixed by bug 789248, which is also showing up under bug 785676.

https://tbpl.mozilla.org/?tree=Try&rev=36accc765abd
Comment 7 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-09-06 13:48:05 PDT
Created attachment 658984 [details] [diff] [review]
minor fix

minor fix on previous patch, carry forward r+
Comment 8 Shane Caraveo (:mixedpuppy) [on leave 5/16-7/16] 2012-09-06 15:40:43 PDT
try works with patch in bug 789248
Comment 9 :Felipe Gomes (needinfo me!) 2012-09-06 16:32:26 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/ec01a56ff70d
Comment 10 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-06 20:47:06 PDT
Comment on attachment 658984 [details] [diff] [review]
minor fix

[Triage Comment]
Comment 11 Ed Morley [:emorley] 2012-09-07 08:47:45 PDT
https://hg.mozilla.org/mozilla-central/rev/ec01a56ff70d
Comment 12 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-25 11:39:22 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/586ceed8707b

Note You need to log in before you can comment on or make changes to this bug.